> For the complete documentation index, see [llms.txt](https://docs.geopard.tech/geopard-tutorials/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.geopard.tech/geopard-tutorials/fin/api-dokumentaatio/geopard-api-pyyntojen-yleiskatsaus/76.-kysely-hae-yhtalokartta.md).

# 76. Kysely: Hae "yhtälökartta"

Hae "EquationMaps" jotka on linkitetty "Peltoon".&#x20;

## Pyydä

Suodata käyttäen `equationMapUuids` ja `statuses` tuki myös.

{% code overflow="wrap" lineNumbers="true" %}

```graphql
kysely GetEquationMaps {
  getFarms(farmUuids: ["<placeholder_of_farm_uuid>"]) {
    fields(fieldUuids: ["<placeholder_of_field_uuid>"]) {
      equationMaps(equationMapUuids: ["<placeholder_of_equationmap_uuid>"]) {
        uuid
        fieldUuid
        nimi
        equationMapUrl
        attribuuttienUrl
        status
        parametrit {
          gridPixelSizeX
          gridPixelSizeY
        }
        equationResultVariable
        equationAsText
        productUnit
        
        # EquationMap-tietojen tilastot
        tilastot {
          min
          max
          avg
          mdn
          var
          std
          cnt
          sum
          uniqueCnt
          uniqueArr
        } 
        
        dataVariables {
          variable
          sampleValue
          
          # Jokaisen käytetyn DataLayerin tilastot
          tilastot {
            min
            max
            avg
            mdn
            var
            std
            cnt
            sum
            uniqueCnt
            uniqueArr
          }
          
          # SadonmääräDataset
          yieldDataset {
            uuid
            fieldUuid
          }
          yieldAttribute
          
          # MaaperäDataset
          maaperäDatasetti {
            uuid
            fieldUuid
          }
          soilAttribute
          
          # AsAppliedDataset
          asAppliedDataset {
            uuid
            fieldUuid
          }
          asAppliedAttribute
          
          # Topografiakartta
          topographyMap {
            uuid
            fieldUuid
          }
          topographyAttribute
          
          # Satelliittikuva
          satelliteImages {
            satelliteImage {
              uuid
            }
            fieldUuid
          }
          indeksi
          
          # EquationMap
          equationMap {
            uuid
            fieldUuid
          }

          # Lohkokartta (VectorAnalysisMap)
          vectorAnalysisMap {
            uuid
            fieldUuid          
          }
        }
      }
    }
  }
}
```

{% endcode %}

## Vastaus

```json
{
  "data": {
    "getFarms": [
      {
        "fields": [
          {
            "equationMaps": [
              {
                "uuid": "a6c8f959-2708-438b-bbb3-4043927cf79c",
                "fieldUuid": "a716fd04-4f78-4ce8-b712-ffb88bd2acdd",
                "name": "NUE 2023 - mukautettu GP-funktio",
                "equationMapUrl": "https://api.geopard.tech/geo/feature?SERVICE=WFS&VERSION=2.0.0&REQUEST=GetFeature&TYPENAMES=equation_pixel_map_view&OUTPUTFORMAT=application/json&VIEWPARAMS=uuid:a6c8f959-2708-438b-bbb3-4043927cf79c",
                "attributesUrl": "https://api.geopard.tech/geo/feature?SERVICE=WFS&VERSION=2.0.0&REQUEST=GetFeature&TYPENAMES=equation_pixel_map_view&OUTPUTFORMAT=application/json&VIEWPARAMS=uuid:a6c8f959-2708-438b-bbb3-4043927cf79c&PROPERTYNAME=mapUuid,geometryId,zone,value,createdDate,updatedDate",
                "status": "SUORITETTU",
                "parameters": {
                  "gridPixelSizeX": 5,
                  "gridPixelSizeY": 5
                },
                "equationResultVariable": "NUE",
                "equationAsText": "NUE = geopard.calculate_nitrogen_use_efficiency(N_total_applied, N_uptake)",
                "productUnit": null,
                "statistics": {
                  "min": 59,
                  "max": 129,
                  "avg": 91.956,
                  "mdn": 92,
                  "var": 80.127,
                  "std": 8.951,
                  "cnt": 5290,
                  "sum": null,
                  "uniqueCnt": 66,
                  "uniqueArr": null
                },
                "dataVariables": [
                  {
                    "variable": "N_total_applied",
                    "sampleValue": null,
                    "statistics": {
                      "min": 79.645,
                      "max": 205.552,
                      "avg": 155.153,
                      "mdn": 156.491,
                      "var": 124.07,
                      "std": 11.139,
                      "cnt": 15529,
                      "sum": null,
                      "uniqueCnt": 4410,
                      "uniqueArr": null
                    },
                    "yieldDataset": null,
                    "yieldAttribute": null,
                    "soilDataset": null,
                    "soilAttribute": null,
                    "asAppliedDataset": null,
                    "asAppliedAttribute": null,
                    "topographyMap": null,
                    "topographyAttribute": null,
                    "satelliteImages": null,
                    "index": null,
                    "equationMap": {
                      "uuid": "855647dd-58fe-43cc-ac9c-f3888a7e369e",
                      "fieldUuid": "a716fd04-4f78-4ce8-b712-ffb88bd2acdd"
                    },
                    "vectorAnalysisMap": null
                  },
                  {
                    "variable": "N_uptake",
                    "sampleValue": null,
                    "statistics": {
                      "min": 108.778,
                      "max": 174.12,
                      "avg": 143.225,
                      "mdn": 144.005,
                      "var": 102.748,
                      "std": 10.136,
                      "cnt": 15529,
                      "sum": null,
                      "uniqueCnt": 4640,
                      "uniqueArr": null
                    },
                    "yieldDataset": null,
                    "yieldAttribute": null,
                    "soilDataset": null,
                    "soilAttribute": null,
                    "asAppliedDataset": null,
                    "asAppliedAttribute": null,
                    "topographyMap": null,
                    "topographyAttribute": null,
                    "satelliteImages": null,
                    "index": null,
                    "equationMap": {
                      "uuid": "bd0571ff-70a9-4a71-aa8f-68dbb9ce0369",
                      "fieldUuid": "a716fd04-4f78-4ce8-b712-ffb88bd2acdd"
                    },
                    "vectorAnalysisMap": null
                  }
                ]
              }
            ]
          }
        ]
      }
    ]
  }
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/fin/api-dokumentaatio/geopard-api-pyyntojen-yleiskatsaus/76.-kysely-hae-yhtalokartta.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
